# Get users

Retrieve a list of users

Endpoint: GET /v2/users

## Query parameters:

  - `$filter` (string)
    Filter the results using OData filter syntax

  - `$orderby` (string)
    Order the results using OData orderby syntax

  - `$skip` (integer)
    Skip the specified number of results

  - `$top` (integer)
    Limit the number of results returned

## Response 200 fields (application/json):

  - `items` (array)
    The collection of items

  - `items.id` (string)
    The unique identifier of the user
    Example: f0f1e06e-3005-4093-af7f-1934d55617e1

  - `items.email` (string)
    The email address of the user
    Example: api.developer@lawvu.com

  - `items.firstName` (string)
    The first name of the user
    Example: Api

  - `items.lastName` (string)
    The last name of the user
    Example: Developer

  - `items.organization` (object)
    The organization the user belongs to

  - `items.organization.id` (integer)
    The system identifier for the organization
    Example: 8134

  - `items.organization.name` (string)
    The name of the organization
    Example: Api Development Organization

  - `items.department` (object)
    The department the user belongs to

  - `items.department.id` (integer)
    The identifier of the department
    Example: 123

  - `items.department.name` (string)
    The name of the department
    Example: Legal

  - `items.directPhone` (string)
    The direct phone number of the user
    Example: +64 9 123 4567

  - `items.jobTitle` (string)
    The job title of the user
    Example: Legal Counsel

  - `items.mobilePhone` (string)
    The mobile phone number of the user
    Example: +64 21 123 4567

  - `items.role` (string)
    The role of the user
    Enum: "OrganizationAdmin", "InHouseLegal", "Contributor", "Standard", "External", "MatterManager"

  - `items.status` (string)
    The current state of the user's account
    Enum: "Pending", "Active", "Invited", "LockedOut", "Deactivated"

  - `items.created` (object)
    The user who created the user and when

  - `items.created.dateUtc` (string)
    The date and time the action was performed. The date and time uses the ISO-8601 format and will be in UTC
    Example: 2024-12-25T00:00:00Z

  - `items.created.userName` (string)
    The username of who performed the action
    Example: api.developer@lawvu.com

  - `items.modified` (object)
    The user who last modified the user and when

## Response 400 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

